{%- for notification in notifications -%}
    {%- set url = '#' -%}
    {%- set time = null -%}
    {%- set code = notification.code -%}
    {%- if code == 4 -%}
        {%- set time = notification.date -%}
    {%- elseif code == 6 or code == 8  -%}
        {%- set url = notification.post.url ~ '#comment-single-' ~ notification.post.id -%}
        {%- set time = notification.post.created -%}
    {%- elseif code == 9 -%}
        {%- set url = notification.post.url -%}
        {%- set time = notification.post.created -%}
    {%- endif -%}
    <a class="notification-modal-single {% if code == 4 %}follow{%- endif -%}" href="{{- url -}}" style="display: inline-block">
        <div class="notification-modal-single-avatar lazy" data-src="{{- steemit.image_host ~ 'u/' ~ notification.author ~ '/avatar' -}}"></div>
        <div class="notification-modal-single-header">
            <span class="notification-modal-single-header-username">
                {{- '@' ~ notification.author -}}
            </span>
            <span class="notification-modal-single-header-time time-zone" data-time="{{- time -}}" tabindex="0" data-toggle="popover" data-trigger="hover" data-content=""></span>
            <div class="notification-modal-single-description">
                <span data-lang="{{- 'global.user.notification.type.' ~ code -}}">
                    {{- 'global.user.notification.type.' ~ code|trans -}}
                </span>
                {%- if notification.post is defined and notification.post.body|length > null -%}
                    <span class="content">
                        {%- if notification.post.body|length >= 37 -%}
                            {{-  notification.post.body|sanitizeClear ~ '...'  -}}
                        {%- else -%}
                            {{-  notification.post.body|sanitizeClear -}}
                        {%- endif -%}

                    </span>
                {%- endif -%}
            </div>
        </div>
    </a>
{%- endfor -%}